#
# spec file for package erlang-kvc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name kvc
Name:           erlang-%{app_name}
Version:        1.3.1+git20140417.c6d3c61
Release:        1.275
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
Summary:        Key Value Coding for Erlang data structures
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/etrepum/kvc
Source:         %{app_name}-%{version}.tar.bz2
BuildRequires:  erlang
BuildRequires:  erlang-rebar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
kvc supports Key Value Coding-like queries on common Erlang data structures. A common use case for kvc is to quickly access one or more deep values in decoded JSON, or some other nested data structure. It can also help with some aggregate operations. It solves similar problems that you might want to use a tool like XPath or jQuery for, but it is far simpler and strictly less powerful. It's inspired by Apple's NSKeyValueCoding protocol from Objective-C.

%prep
%setup -q -n %{app_name}-%{version}

%build
%rebar compile

%install
for dir in ebin; do
	mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
	cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
%rebar eunit

%files
%defattr(-,root,root)
%doc CHANGES.md README.md
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam

%changelog
* Thu May  1 2014 matwey.kornilov@gmail.com
- Fix build for 17.0
* Mon Mar 17 2014 matwey.kornilov@gmail.com
- Initial implementation
